getLivetvAvailablerecordingoptions
Gets available recording options
Requires authentication as user
getLivetvAvailablerecordingoptions
Request
get /LiveTv/AvailableRecordingOptions
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | AvailableRecordingOptions | Operation successful. Returning a AvailableRecordingOptions object. |
|
| 400 | Bad Request. Server cannot process request. |
||
| 401 | Unauthorized. Client needs to authenticate. |
||
| 403 | Forbidden. No permission for the reqested operation. |
||
| 404 | Resource not found or unavailable. |
||
| 500 | Server error. |
Definitions
AvailableRecordingOptions
Emby.LiveTV.Api.AvailableRecordingOptions
| Name | Type | Notes |
|---|---|---|
| RecordingFolders | NameIdPair[] | |
| MovieRecordingFolders | NameIdPair[] | |
| SeriesRecordingFolders | NameIdPair[] |
NameIdPair
see also MediaBrowser.Model.Dto.NameIdPair
| Name | Type | Notes |
|---|---|---|
| Name | string | The name. |
| Id | string | The identifier. |
| ShortOverview | string |